<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Version information
 *
 * @package    local_saeko
 * @copyright 2023 Ivan G. {https://www.saeko.io}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$observers = array(
    array(
        'eventname' => '\core\event\course_category_created',
        'callback' => '\local_saeko\event_handler::detail_category_created',
    ),
    array(
        'eventname' => '\core\event\course_category_deleted',
        'callback' => '\local_saeko\event_handler::detail_category_deleted',
    ),
    array(
        'eventname' => '\core\event\course_created',
        'callback' => '\local_saeko\event_handler::detail_course_created',
    ),
    array(
        'eventname' => '\core\event\course_deleted',
        'callback' => '\local_saeko\event_handler::detail_course_deleted',
    ),
    array(
        'eventname' => '\core\event\user_created',
        'callback' => '\local_saeko\event_handler::detail_user_created',
    ),
    array(
        'eventname' => '\core\event\user_deleted',
        'callback' => '\local_saeko\event_handler::detail_user_deleted',
    ),
);